### Enumeration

# Gdk NotifyType

#### Declaration

    enum Gdk.NotifyType

#### Description [src]

Specifies the kind of crossing for enter and leave events.

See the X11 protocol specification of LeaveNotify for full details of crossing event generation.

#### Members

Name | Description
--- | ---
`GDK_NOTIFY_ANCESTOR` | The surface is entered from an ancestor or left towards an ancestor.
`GDK_NOTIFY_VIRTUAL` | The pointer moves between an ancestor and an inferior of the surface.
`GDK_NOTIFY_INFERIOR` | The surface is entered from an inferior or left towards an inferior.
`GDK_NOTIFY_NONLINEAR` | The surface is entered from or left towards a surface which is neither an ancestor nor an inferior.
`GDK_NOTIFY_NONLINEAR_VIRTUAL` | The pointer moves between two surfaces which are not ancestors of each other and the surface is part of the ancestor chain between one of these surfaces and their least common ancestor.
`GDK_NOTIFY_UNKNOWN` | An unknown type of enter/leave event occurred.